Bug 145035 - segmentation fault in umbrello
Summary: segmentation fault in umbrello
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Oliver Kellogg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-04 17:06 UTC by Nikita Manovich
Modified: 2007-05-05 20:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
mpp.xmi (34.01 KB, application/x-uml)
2007-05-05 20:40 UTC, Nikita Manovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Manovich 2007-05-04 17:06:53 UTC
Version:           1.5.7 (using KDE KDE 3.5.5)
Installed from:    Compiled From Sources
Compiler:          gcc 4.1.2 2006-11-15 
OS:                Linux

Previously I used umbrello from SuSE 10.2, but it has several problems. Now I try to use the umbrello 1.5.7 beta 1. When the tool is loading 'datatype.xmi' file (from previous version of umbrello) it crashes.

*****************
* datatype.xmi: *
*****************
<?xml version="1.0" encoding="UTF-8"?>
<XMI xmlns:UML="http://schema.omg.org/spec/UML/1.3" verified="false" timestamp="2007-05-04T11:54:44" xmi.version="1.2" >
 <XMI.header>
  <XMI.documentation>
   <XMI.exporter>umbrello uml modeller http://uml.sf.net</XMI.exporter>
   <XMI.exporterVersion>1.5.52</XMI.exporterVersion>
   <XMI.exporterEncoding>UnicodeUTF8</XMI.exporterEncoding>
  </XMI.documentation>
  <XMI.metamodel xmi.name="UML" href="UML.xml" xmi.version="1.3" />
 </XMI.header>
 <XMI.content>
  <UML:Model isSpecification="false" isLeaf="false" isRoot="false" xmi.id="m1" isAbstract="false" name="UML-модель" >
   <UML:Namespace.ownedElement>
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="1" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="Logical View" xmi.id="4" isRoot="false" isAbstract="false" name="datatype" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="Logical View" xmi.id="17" isRoot="false" isAbstract="false" name="enum" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="158" isRoot="false" isAbstract="false" name="interface" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="174" isRoot="false" isAbstract="false" name="mpp-tool" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="175" isRoot="false" isAbstract="false" name="mpp-core" />
    <UML:Model stereotype="1" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="Logical View" isRoot="false" isAbstract="false" name="Logical View" >
     <UML:Namespace.ownedElement>
      <UML:Package stereotype="1" isSpecification="false" isLeaf="false" visibility="public" namespace="Logical View" xmi.id="Datatypes" isRoot="false" isAbstract="false" name="Datatypes" >
       <UML:Namespace.ownedElement>
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="3" isRoot="false" isAbstract="false" name="int" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="5" isRoot="false" isAbstract="false" name="char" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="6" isRoot="false" isAbstract="false" name="bool" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="7" isRoot="false" isAbstract="false" name="float" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="8" isRoot="false" isAbstract="false" name="double" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="9" isRoot="false" isAbstract="false" name="short" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="10" isRoot="false" isAbstract="false" name="long" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="11" isRoot="false" isAbstract="false" name="unsigned int" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="12" isRoot="false" isAbstract="false" name="unsigned short" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="13" isRoot="false" isAbstract="false" name="unsigned long" />
        <UML:DataType stereotype="4" isSpecification="false" isLeaf="false" visibility="public" namespace="Datatypes" xmi.id="14" isRoot="false" isAbstract="false" name="string" />
       </UML:Namespace.ownedElement>
      </UML:Package>
      <UML:Enumeration stereotype="17" isSpecification="false" isLeaf="false" visibility="public" namespace="Logical View" xmi.id="16" isRoot="false" isAbstract="false" name="elementary_datatypes" >
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="20" isRoot="false" isAbstract="false" name="MPPI_DATATYPE_NULL" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="21" isRoot="false" isAbstract="false" name="MPPI_CHAR" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="22" isRoot="false" isAbstract="false" name="MPPI_SIGNED_CHAR" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="23" isRoot="false" isAbstract="false" name="MPPI_UNSIGNED_CHAR" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="24" isRoot="false" isAbstract="false" name="MPPI_WCHAR" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="25" isRoot="false" isAbstract="false" name="MPPI_SHORT" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="26" isRoot="false" isAbstract="false" name="MPPI_UNSIGNED_SHORT" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="27" isRoot="false" isAbstract="false" name="MPPI_INT" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="28" isRoot="false" isAbstract="false" name="MPPI_UNSIGNED" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="29" isRoot="false" isAbstract="false" name="MPPI_LONG" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="30" isRoot="false" isAbstract="false" name="MPPI_UNSIGNED_LONG" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="31" isRoot="false" isAbstract="false" name="MPPI_FLOAT" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="32" isRoot="false" isAbstract="false" name="MPPI_DOUBLE" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="33" isRoot="false" isAbstract="false" name="MPPI_LONG_DOUBLE" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="34" isRoot="false" isAbstract="false" name="MPPI_LONG_LONG_INT" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="35" isRoot="false" isAbstract="false" name="MPPI_UNSIGNED_LONG_LONG" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="36" isRoot="false" isAbstract="false" name="MPPI_COMPLEX" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="37" isRoot="false" isAbstract="false" name="MPPI_DOUBLE_COMPLEX" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="38" isRoot="false" isAbstract="false" name="MPPI_LOGICAL" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="39" isRoot="false" isAbstract="false" name="MPPI_REAL" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="40" isRoot="false" isAbstract="false" name="MPPI_DOUBLE_PRECISION" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="41" isRoot="false" isAbstract="false" name="MPPI_INTEGER" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="42" isRoot="false" isAbstract="false" name="MPPI_CHARACTER" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="43" isRoot="false" isAbstract="false" name="MPPI_REAL4" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="44" isRoot="false" isAbstract="false" name="MPPI_REAL8" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="45" isRoot="false" isAbstract="false" name="MPPI_REAL16" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="46" isRoot="false" isAbstract="false" name="MPPI_COMPLEX8" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="47" isRoot="false" isAbstract="false" name="MPPI_COMPLEX16" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="48" isRoot="false" isAbstract="false" name="MPPI_COMPLEX32" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="49" isRoot="false" isAbstract="false" name="MPPI_INTEGER1" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="50" isRoot="false" isAbstract="false" name="MPPI_INTEGER2" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="51" isRoot="false" isAbstract="false" name="MPPI_INTEGER4" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="52" isRoot="false" isAbstract="false" name="MPPI_INTEGER8" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="53" isRoot="false" isAbstract="false" name="MPPI_INTEGER16" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="58" isRoot="false" isAbstract="false" name="MPPI_LB" />
       <UML:EnumerationLiteral comment="NOTES:
1. MPI_DATATYPE_NULL &lt;--> MPPI_DATATYPE_NULL - invalid descriptor of the datatype.
2. MPPI_LB and MPPI_UB have size zero." isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="59" isRoot="false" isAbstract="false" name="MPPI_UB" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="55" isRoot="false" isAbstract="false" name="MPPI_BYTE" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="57" isRoot="false" isAbstract="false" name="MPPI_PACKAGE" />
       <UML:EnumerationLiteral isSpecification="false" isLeaf="false" visibility="public" namespace="16" xmi.id="54" isRoot="false" isAbstract="false" name="MPPI_ELMT_TYPE_COUNT" />
      </UML:Enumeration>
      <UML:Package isSpecification="false" isLeaf="false" visibility="public" namespace="Logical View" xmi.id="60" isRoot="false" isAbstract="false" name="new_package" >
       <UML:Namespace.ownedElement/>
      </UML:Package>
      <UML:Interface stereotype="158" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="157" isRoot="false" isAbstract="true" name="core interface" />
     </UML:Namespace.ownedElement>
     <XMI.extension xmi.extender="umbrello" >
      <diagrams>
       <diagram snapgrid="0" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="1" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="851" snapy="10" showatts="1" xmi.id="2" documentation="" type="1" showops="1" showpackage="0" name="Диаграмма классов" localid="900000" showstereotype="0" showscope="1" snapcsgrid="0" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="#ff0000" canvasheight="820" >
        <widgets>
         <boxwidget usesdiagramfillcolour="1" width="644" usesdiagramusefillcolour="1" x="28" y="34" linewidth="none" fillcolour="none" height="710" usefillcolor="1" isinstance="0" xmi.id="15" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="#000000" />
         <enumwidget usesdiagramfillcolour="0" width="202" usesdiagramusefillcolour="0" x="43" y="50" linewidth="none" fillcolour="#ffffc0" height="656" usefillcolor="1" isinstance="0" xmi.id="16" showpackage="0" font="Sans Serif,10,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
        </widgets>
        <messages/>
        <associations/>
       </diagram>
      </diagrams>
     </XMI.extension>
    </UML:Model>
    <UML:Model stereotype="1" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="Use Case View" isRoot="false" isAbstract="false" name="Use Case View" >
     <UML:Namespace.ownedElement>
      <UML:Actor isSpecification="false" isLeaf="false" visibility="public" namespace="Use Case View" xmi.id="107" isRoot="false" isAbstract="false" name="MPI application" />
      <UML:Actor isSpecification="false" isLeaf="false" visibility="public" namespace="Use Case View" xmi.id="108" isRoot="false" isAbstract="false" name="MPP library" />
      <UML:Actor isSpecification="false" isLeaf="false" visibility="public" namespace="Use Case View" xmi.id="109" isRoot="false" isAbstract="false" name="MPP API" />
      <UML:UseCase isSpecification="false" isLeaf="false" visibility="public" namespace="Use Case View" xmi.id="110" isRoot="false" isAbstract="false" name="use and compile" />
      <UML:UseCase isSpecification="false" isLeaf="false" visibility="public" namespace="Use Case View" xmi.id="111" isRoot="false" isAbstract="false" name="link with a library" />
      <UML:UseCase isSpecification="false" isLeaf="false" visibility="public" namespace="Use Case View" xmi.id="127" isRoot="false" isAbstract="false" name="run an application" />
      <UML:UseCase isSpecification="false" isLeaf="false" visibility="public" namespace="Use Case View" xmi.id="141" isRoot="false" isAbstract="false" name="print error/warning/info messages" />
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="67" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="68" aggregation="none" type="65" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="69" aggregation="none" type="66" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="70" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="71" aggregation="none" type="64" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="72" aggregation="none" type="66" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="74" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="75" aggregation="none" type="64" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="76" aggregation="none" type="73" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="77" client="73" name="" supplier="66" />
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="81" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="82" aggregation="none" type="65" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="83" aggregation="none" type="80" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="84" client="80" name="" supplier="73" />
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="112" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="113" aggregation="none" type="107" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="114" aggregation="none" type="110" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="115" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="116" aggregation="none" type="109" name="asdf" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="117" aggregation="none" type="110" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="118" client="111" name="" supplier="110" />
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="121" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="122" aggregation="none" type="108" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="123" aggregation="none" type="111" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="124" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="125" aggregation="none" type="107" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="126" aggregation="none" type="111" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="128" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="129" aggregation="none" type="107" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="130" aggregation="none" type="127" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="131" client="127" name="" supplier="111" />
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="134" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="135" aggregation="none" type="107" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="136" aggregation="none" type="127" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="142" client="141" name="" supplier="109" />
      <UML:Association isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="145" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="146" aggregation="none" type="108" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="147" aggregation="none" type="141" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="Use Case View" xmi.id="148" client="141" name="" supplier="127" />
     </UML:Namespace.ownedElement>
     <XMI.extension xmi.extender="umbrello" >
      <diagrams>
       <diagram snapgrid="1" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="1" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="711" snapy="10" showatts="1" xmi.id="62" documentation="" type="2" showops="1" showpackage="0" name="Interaction with MPI application" localid="900000" showstereotype="0" showscope="1" snapcsgrid="0" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="#ff0000" canvasheight="791" >
        <widgets>
         <actorwidget usesdiagramfillcolour="1" width="99" usesdiagramusefillcolour="1" x="20" y="30" linewidth="none" fillcolour="none" height="61" usefillcolor="1" isinstance="0" xmi.id="64" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="none" />
         <actorwidget usesdiagramfillcolour="1" width="78" usesdiagramusefillcolour="1" x="480" y="180" linewidth="none" fillcolour="none" height="61" usefillcolor="1" isinstance="0" xmi.id="65" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="none" />
         <usecasewidget usesdiagramfillcolour="0" width="144" usesdiagramusefillcolour="0" x="220" y="30" linewidth="none" fillcolour="#ffffc0" height="54" usefillcolor="1" isinstance="0" xmi.id="66" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <usecasewidget usesdiagramfillcolour="0" width="152" usesdiagramusefillcolour="0" x="20" y="190" linewidth="none" fillcolour="#ffffc0" height="51" usefillcolor="1" isinstance="0" xmi.id="73" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <usecasewidget usesdiagramfillcolour="0" width="224" usesdiagramusefillcolour="0" x="190" y="350" linewidth="none" fillcolour="#ffffc0" height="51" usefillcolor="1" isinstance="0" xmi.id="80" font="Sans Serif,10,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
        </widgets>
        <messages/>
        <associations>
         <assocwidget totalcounta="3" indexa="1" totalcountb="3" indexb="2" linewidth="none" widgetbid="66" widgetaid="65" xmi.id="67" linecolor="none" >
          <linepath>
           <startpoint startx="480" starty="200" />
           <endpoint endx="320" endy="84" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="66" widgetaid="64" xmi.id="70" linecolor="none" >
          <linepath>
           <startpoint startx="119" starty="60" />
           <endpoint endx="220" endy="60" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="3" indexb="1" linewidth="none" widgetbid="73" widgetaid="64" xmi.id="74" linecolor="none" >
          <linepath>
           <startpoint startx="70" starty="91" />
           <endpoint endx="70" endy="190" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" totalcountb="3" indexb="1" linewidth="none" widgetbid="66" widgetaid="73" xmi.id="77" linecolor="none" >
          <linepath>
           <startpoint startx="120" starty="190" />
           <endpoint endx="270" endy="84" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" totalcountb="3" indexb="2" linewidth="none" widgetbid="80" widgetaid="65" xmi.id="81" linecolor="none" >
          <linepath>
           <startpoint startx="480" starty="220" />
           <endpoint endx="340" endy="350" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="73" widgetaid="80" xmi.id="84" linecolor="none" >
          <linepath>
           <startpoint startx="260" starty="350" />
           <endpoint endx="100" endy="241" />
          </linepath>
         </assocwidget>
        </associations>
       </diagram>
       <diagram snapgrid="1" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="1" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="711" snapy="10" showatts="1" xmi.id="101" documentation="" type="2" showops="1" showpackage="0" name="Interaction with MPI application (MPP API)" localid="900000" showstereotype="0" showscope="1" snapcsgrid="0" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="#ff0000" canvasheight="791" >
        <widgets>
         <actorwidget usesdiagramfillcolour="1" width="99" usesdiagramusefillcolour="1" x="20" y="120" linewidth="none" fillcolour="none" height="61" usefillcolor="1" isinstance="0" xmi.id="107" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="none" />
         <actorwidget usesdiagramfillcolour="1" width="78" usesdiagramusefillcolour="1" x="420" y="220" linewidth="none" fillcolour="none" height="61" usefillcolor="1" isinstance="0" xmi.id="108" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="none" />
         <actorwidget usesdiagramfillcolour="1" width="64" usesdiagramusefillcolour="1" x="500" y="20" linewidth="none" fillcolour="none" height="61" usefillcolor="1" isinstance="0" xmi.id="109" showstereotype="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="none" />
         <usecasewidget usesdiagramfillcolour="0" width="119" usesdiagramusefillcolour="0" x="240" y="110" linewidth="none" fillcolour="#ffffc0" height="51" usefillcolor="1" isinstance="0" xmi.id="110" showstereotype="1" font="Sans Serif,10,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <usecasewidget usesdiagramfillcolour="1" width="121" usesdiagramusefillcolour="1" x="240" y="220" linewidth="none" fillcolour="none" height="51" usefillcolor="1" isinstance="0" xmi.id="111" showstereotype="1" font="Sans Serif,10,-1,5,75,0,0,0,0,0" linecolor="none" />
         <usecasewidget usesdiagramfillcolour="1" width="126" usesdiagramusefillcolour="1" x="140" y="360" linewidth="none" fillcolour="none" height="51" usefillcolor="1" isinstance="0" xmi.id="127" showstereotype="1" font="Sans Serif,10,-1,5,75,0,0,0,0,0" linecolor="none" />
         <usecasewidget usesdiagramfillcolour="0" width="224" usesdiagramusefillcolour="0" x="180" y="480" linewidth="none" fillcolour="#ffffc0" height="51" usefillcolor="1" isinstance="0" xmi.id="141" showstereotype="1" font="Sans Serif,10,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
        </widgets>
        <messages/>
        <associations>
         <assocwidget totalcounta="3" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="110" widgetaid="107" xmi.id="112" linecolor="none" >
          <linepath>
           <startpoint startx="119" starty="140" />
           <endpoint endx="240" endy="140" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="110" widgetaid="109" xmi.id="115" linecolor="none" >
          <linepath>
           <startpoint startx="500" starty="50" />
           <endpoint endx="359" endy="140" />
           <point x="420" y="140" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="110" widgetaid="111" xmi.id="118" linecolor="none" >
          <linepath>
           <startpoint startx="300" starty="220" />
           <endpoint endx="300" endy="161" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="111" widgetaid="108" xmi.id="121" linecolor="none" >
          <linepath>
           <startpoint startx="420" starty="250" />
           <endpoint endx="361" endy="250" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" totalcountb="2" indexb="1" linewidth="none" widgetbid="111" widgetaid="107" xmi.id="124" linecolor="none" >
          <linepath>
           <startpoint startx="119" starty="160" />
           <endpoint endx="240" endy="250" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" totalcountb="2" indexb="1" linewidth="none" widgetbid="111" widgetaid="127" xmi.id="131" linecolor="none" >
          <linepath>
           <startpoint startx="220" starty="360" />
           <endpoint endx="300" endy="271" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="3" indexb="1" linewidth="none" widgetbid="127" widgetaid="107" xmi.id="134" linecolor="none" >
          <linepath>
           <startpoint startx="70" starty="181" />
           <endpoint endx="180" endy="360" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="4" indexa="3" totalcountb="2" indexb="1" linewidth="none" widgetbid="109" widgetaid="141" xmi.id="142" linecolor="none" >
          <linepath>
           <startpoint startx="350" starty="480" />
           <endpoint endx="530" endy="81" />
           <point x="530" y="270" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="4" indexb="2" linewidth="none" widgetbid="141" widgetaid="108" xmi.id="145" linecolor="none" >
          <linepath>
           <startpoint startx="460" starty="281" />
           <endpoint endx="290" endy="480" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="4" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="127" widgetaid="141" xmi.id="148" linecolor="none" >
          <linepath>
           <startpoint startx="240" starty="480" />
           <endpoint endx="200" endy="411" />
          </linepath>
         </assocwidget>
        </associations>
       </diagram>
      </diagrams>
     </XMI.extension>
    </UML:Model>
    <UML:Model stereotype="1" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="Component View" isRoot="false" isAbstract="false" name="Component View" >
     <UML:Namespace.ownedElement>
      <UML:Component stereotype="175" executable="0" isSpecification="false" isLeaf="false" visibility="public" namespace="Component View" xmi.id="154" isRoot="false" isAbstract="false" name="core" />
      <UML:Component stereotype="174" executable="0" isSpecification="false" isLeaf="false" visibility="public" namespace="Component View" xmi.id="155" isRoot="false" isAbstract="false" name="analyzer" />
      <UML:Component stereotype="174" executable="0" isSpecification="false" isLeaf="false" visibility="public" namespace="Component View" xmi.id="156" isRoot="false" isAbstract="false" name="profiler" />
      <UML:Component stereotype="174" executable="0" isSpecification="false" isLeaf="false" visibility="public" namespace="Component View" xmi.id="176" isRoot="false" isAbstract="false" name="other" />
      <UML:Association isSpecification="false" visibility="public" namespace="Component View" xmi.id="159" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="160" aggregation="none" type="154" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="161" aggregation="none" type="157" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="Component View" xmi.id="162" client="156" name="" supplier="157" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="Component View" xmi.id="165" client="155" name="" supplier="157" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="Component View" xmi.id="168" client="156" name="" supplier="157" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="Component View" xmi.id="171" client="155" name="" supplier="157" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="Component View" xmi.id="177" client="176" name="" supplier="157" />
     </UML:Namespace.ownedElement>
     <XMI.extension xmi.extender="umbrello" >
      <diagrams>
       <diagram snapgrid="1" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="1" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="711" snapy="10" showatts="1" xmi.id="153" documentation="" type="7" showops="1" showpackage="0" name="MPP library" localid="900000" showstereotype="0" showscope="1" snapcsgrid="1" font="Sans Serif,10,-1,5,50,0,0,0,0,0" linecolor="#ff0000" canvasheight="791" >
        <widgets>
         <componentwidget usesdiagramfillcolour="0" width="157" usesdiagramusefillcolour="0" x="10" y="50" linewidth="none" fillcolour="#ffffc0" height="239" usefillcolor="1" isinstance="0" xmi.id="154" font="Sans Serif,10,-1,5,75,1,0,0,0,0" linecolor="#ff0000" />
         <componentwidget usesdiagramfillcolour="0" width="144" usesdiagramusefillcolour="0" x="510" y="40" linewidth="none" fillcolour="#ffffc0" height="62" usefillcolor="1" isinstance="0" xmi.id="155" font="Sans Serif,10,-1,5,75,1,0,0,0,0" linecolor="#ff0000" />
         <componentwidget usesdiagramfillcolour="0" width="140" usesdiagramusefillcolour="0" x="510" y="140" linewidth="none" fillcolour="#ffffc0" height="62" usefillcolor="1" isinstance="0" xmi.id="156" font="Sans Serif,10,-1,5,75,1,0,0,0,0" linecolor="#ff0000" />
         <interfacewidget usesdiagramfillcolour="0" width="117" usesdiagramusefillcolour="0" x="250" y="140" drawascircle="0" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="57" usefillcolor="1" showpubliconly="0" isinstance="0" xmi.id="157" showoperations="1" showpackage="0" showscope="1" showstereotype="1" font="Sans Serif,10,-1,5,50,1,1,0,0,0" linecolor="#ff0000" />
         <componentwidget usesdiagramfillcolour="0" width="140" usesdiagramusefillcolour="0" x="510" y="240" linewidth="none" fillcolour="#ffffc0" height="70" usefillcolor="1" isinstance="0" xmi.id="176" font="Sans Serif,10,-1,5,75,1,0,0,0,0" linecolor="#ff0000" />
        </widgets>
        <messages/>
        <associations>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="157" widgetaid="154" xmi.id="159" linecolor="none" >
          <linepath>
           <startpoint startx="167" starty="170" />
           <endpoint endx="250" endy="170" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="4" indexb="2" linewidth="none" widgetbid="157" widgetaid="156" xmi.id="168" linecolor="none" >
          <linepath>
           <startpoint startx="510" starty="170" />
           <endpoint endx="367" endy="170" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="4" indexb="1" linewidth="none" widgetbid="157" widgetaid="155" xmi.id="171" linecolor="none" >
          <linepath>
           <startpoint startx="510" starty="70" />
           <endpoint endx="367" endy="150" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="4" indexb="3" linewidth="none" widgetbid="157" widgetaid="176" xmi.id="177" linecolor="none" >
          <linepath>
           <startpoint startx="510" starty="280" />
           <endpoint endx="367" endy="180" />
          </linepath>
         </assocwidget>
        </associations>
       </diagram>
      </diagrams>
     </XMI.extension>
    </UML:Model>
    <UML:Model stereotype="1" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="Deployment View" isRoot="false" isAbstract="false" name="Deployment View" >
     <UML:Namespace.ownedElement/>
    </UML:Model>
    <UML:Model stereotype="1" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="Entity Relationship Model" isRoot="false" isAbstract="false" name="Entity Relationship Model" >
     <UML:Namespace.ownedElement/>
    </UML:Model>
   </UML:Namespace.ownedElement>
  </UML:Model>
 </XMI.content>
 <XMI.extensions xmi.extender="umbrello" >
  <docsettings viewid="153" documentation="" uniqueid="179" />
  <listview>
   <listitem open="1" type="800" label="Представления" >
    <listitem open="1" type="801" id="Logical View" >
     <listitem open="0" type="807" id="2" label="Диаграмма классов" />
     <listitem open="1" type="817" id="157" />
     <listitem open="1" type="818" id="60" />
     <listitem open="0" type="830" id="Datatypes" >
      <listitem open="1" type="829" id="6" />
      <listitem open="1" type="829" id="5" />
      <listitem open="1" type="829" id="8" />
      <listitem open="1" type="829" id="7" />
      <listitem open="1" type="829" id="3" />
      <listitem open="1" type="829" id="10" />
      <listitem open="1" type="829" id="9" />
      <listitem open="1" type="829" id="14" />
      <listitem open="1" type="829" id="11" />
      <listitem open="1" type="829" id="13" />
      <listitem open="1" type="829" id="12" />
     </listitem>
     <listitem open="0" type="831" id="16" >
      <listitem open="0" type="839" id="20" />
      <listitem open="0" type="839" id="21" />
      <listitem open="0" type="839" id="22" />
      <listitem open="0" type="839" id="23" />
      <listitem open="0" type="839" id="24" />
      <listitem open="0" type="839" id="25" />
      <listitem open="0" type="839" id="26" />
      <listitem open="0" type="839" id="27" />
      <listitem open="0" type="839" id="28" />
      <listitem open="0" type="839" id="29" />
      <listitem open="0" type="839" id="30" />
      <listitem open="0" type="839" id="31" />
      <listitem open="0" type="839" id="32" />
      <listitem open="0" type="839" id="33" />
      <listitem open="0" type="839" id="34" />
      <listitem open="0" type="839" id="35" />
      <listitem open="0" type="839" id="36" />
      <listitem open="0" type="839" id="37" />
      <listitem open="0" type="839" id="38" />
      <listitem open="0" type="839" id="39" />
      <listitem open="0" type="839" id="40" />
      <listitem open="0" type="839" id="41" />
      <listitem open="0" type="839" id="42" />
      <listitem open="0" type="839" id="43" />
      <listitem open="0" type="839" id="44" />
      <listitem open="0" type="839" id="45" />
      <listitem open="0" type="839" id="46" />
      <listitem open="0" type="839" id="47" />
      <listitem open="0" type="839" id="48" />
      <listitem open="0" type="839" id="49" />
      <listitem open="0" type="839" id="50" />
      <listitem open="0" type="839" id="51" />
      <listitem open="0" type="839" id="52" />
      <listitem open="0" type="839" id="53" />
      <listitem open="0" type="839" id="58" />
      <listitem open="0" type="839" id="59" />
      <listitem open="0" type="839" id="55" />
      <listitem open="0" type="839" id="57" />
      <listitem open="0" type="839" id="54" />
     </listitem>
    </listitem>
    <listitem open="1" type="802" id="Use Case View" >
     <listitem open="0" type="805" id="62" label="Interaction with MPI application" />
     <listitem open="1" type="805" id="101" label="Interaction with MPI application (MPP API)" />
     <listitem open="1" type="811" id="107" />
     <listitem open="1" type="811" id="64" />
     <listitem open="1" type="811" id="109" />
     <listitem open="1" type="811" id="65" />
     <listitem open="1" type="811" id="108" />
     <listitem open="1" type="812" id="111" />
     <listitem open="1" type="812" id="66" />
     <listitem open="1" type="812" id="141" />
     <listitem open="1" type="812" id="80" />
     <listitem open="1" type="812" id="127" />
     <listitem open="1" type="812" id="73" />
     <listitem open="1" type="812" id="110" />
    </listitem>
    <listitem open="1" type="821" id="Component View" >
     <listitem open="0" type="819" id="153" label="MPP library" />
     <listitem open="1" type="822" id="155" />
     <listitem open="1" type="822" id="154" />
     <listitem open="1" type="822" id="156" />
     <listitem open="1" type="822" id="176" />
    </listitem>
    <listitem open="1" type="827" id="Deployment View" />
    <listitem open="1" type="836" id="Entity Relationship Model" />
   </listitem>
  </listview>
  <codegeneration>
   <codegenerator language="C++" />
  </codegeneration>
 </XMI.extensions>
</XMI>
Comment 1 Oliver Kellogg 2007-05-04 23:22:43 UTC
SVN commit 661210 by okellogg:

It seems that a previous version of Umbrello could create XMI files where
some model objects were missing. This is a workaround so that Umbrello at least
doesn't crash on loading such a file:

validateObjType(): Pass in the UMLObject* by reference. Add a Uml::IDType arg.
When the UMLObject* is NULL then create a new object with an artificial name,
"LOST_" followed by the id, and set its ID to the arg passed in.

This means that the user needs to manually rename the LOST_ items after loading
a corrupted file. Sorry.

BUG:145035


 M  +1 -0      ChangeLog  
 M  +25 -14    umbrello/widget_factory.cpp  


--- branches/KDE/3.5/kdesdk/umbrello/ChangeLog #661209:661210
@@ -35,6 +35,7 @@
 * No synchronisation of comments when round-tripping (144346)
 * Crash when loading xmi with actor as object of sequence diagram (144442)
 * ActionScript/JavaScript association code generation error (144788)
+* Segmentation fault on loading corrupted file (145035)
 
 Version 1.5.61
 
--- branches/KDE/3.5/kdesdk/umbrello/umbrello/widget_factory.cpp #661209:661210
@@ -19,6 +19,7 @@
 #include "uml.h"
 #include "umldoc.h"
 #include "umlview.h"
+#include "object_factory.h"
 #include "floatingtextwidget.h"
 #include "classifierwidget.h"
 #include "classifier.h"
@@ -138,9 +139,19 @@
     return newWidget;
 }
 
-bool validateObjType(Uml::Object_Type expected, UMLObject *o) {
-    if (o == NULL)
-        return true;  // cannot validate
+bool validateObjType(Uml::Object_Type expected, UMLObject* &o, Uml::IDType id) {
+    if (o == NULL) {
+        kDebug() << "Widget_Factory::validateObjType: creating new object of type "
+                 << expected << endl;
+        QString artificialName = "LOST_" + ID2STR(id);
+        o = Object_Factory::createUMLObject(expected, artificialName, NULL, false);
+        if (o == NULL)
+            return false;
+        o->setID(id);
+        UMLPackage *parentPkg = o->getUMLPackage();
+        parentPkg->addObject(o);
+        return true;
+    }
     Uml::Object_Type actual = o->getBaseType();
     if (actual == expected)
         return true;
@@ -186,40 +197,40 @@
 
         if (tag == "actorwidget"
                 || tag == "UML:ActorWidget") {           // for bkwd compatibility
-            if (validateObjType(Uml::ot_Actor, o))
+            if (validateObjType(Uml::ot_Actor, o, id))
                 widget = new ActorWidget(view, static_cast<UMLActor*>(o));
         } else if (tag == "usecasewidget"
                    || tag == "UML:UseCaseWidget") {  // for bkwd compatibility
-            if (validateObjType(Uml::ot_UseCase, o))
+            if (validateObjType(Uml::ot_UseCase, o, id))
                 widget = new UseCaseWidget(view, static_cast<UMLUseCase*>(o));
         } else if (tag == "classwidget"
                    || tag == "UML:ClassWidget"       // for bkwd compatibility
                    || tag == "UML:ConceptWidget") {  // for bkwd compatibility
-            if (validateObjType(Uml::ot_Class, o))
+            if (validateObjType(Uml::ot_Class, o, id))
                 widget = new ClassifierWidget(view, static_cast<UMLClassifier*>(o));
         } else if (tag == "packagewidget") {
-            if (validateObjType(Uml::ot_Package, o))
+            if (validateObjType(Uml::ot_Package, o, id))
                 widget = new PackageWidget(view, static_cast<UMLPackage*>(o));
         } else if (tag == "componentwidget") {
-            if (validateObjType(Uml::ot_Component, o))
+            if (validateObjType(Uml::ot_Component, o, id))
                 widget = new ComponentWidget(view, static_cast<UMLComponent*>(o));
         } else if (tag == "nodewidget") {
-            if (validateObjType(Uml::ot_Node, o))
+            if (validateObjType(Uml::ot_Node, o, id))
                 widget = new NodeWidget(view, static_cast<UMLNode*>(o));
         } else if (tag == "artifactwidget") {
-            if (validateObjType(Uml::ot_Artifact, o))
+            if (validateObjType(Uml::ot_Artifact, o, id))
                 widget = new ArtifactWidget(view, static_cast<UMLArtifact*>(o));
         } else if (tag == "interfacewidget") {
-            if (validateObjType(Uml::ot_Interface, o))
+            if (validateObjType(Uml::ot_Interface, o, id))
                 widget = new ClassifierWidget(view, static_cast<UMLClassifier*>(o));
         } else if (tag == "datatypewidget") {
-            if (validateObjType(Uml::ot_Datatype, o))
+            if (validateObjType(Uml::ot_Datatype, o, id))
                 widget = new DatatypeWidget(view, static_cast<UMLClassifier*>(o));
         } else if (tag == "enumwidget") {
-            if (validateObjType(Uml::ot_Enum, o))
+            if (validateObjType(Uml::ot_Enum, o, id))
                 widget = new EnumWidget(view, static_cast<UMLEnum*>(o));
         } else if (tag == "entitywidget") {
-            if (validateObjType(Uml::ot_Entity, o))
+            if (validateObjType(Uml::ot_Entity, o, id))
                 widget = new EntityWidget(view, static_cast<UMLEntity*>(o));
         } else if (tag == "objectwidget"
                    || tag == "UML:ObjectWidget") {  // for bkwd compatibility
Comment 2 Nikita Manovich 2007-05-05 20:40:16 UTC
Hi,

  I believe that the probem has been fixed, but today I have found another 
issue: umbrello doesn't work at all. I wasted about a day and all my work has 
been lost. Umbrello crashes several times. Please, see mpp.xmi file and you 
understand my problems (I didn't create AkH6JFF3aUgd element). For 
reproducing the bug you need to create any elements, in 'Tree View' copy, cut 
and paste elements and after that 'undo' this actions. I'm sure that you get 
elements with strange names, unexpected elements, seg. fault and so on.

I'm disappointed! :-( 

--
  Best regards,
    Nikita Manovich.

В сообщении от 4 мая 2007 22:20 Oliver Kellogg написал(a):
[bugs.kde.org quoted mail]


Created an attachment (id=20491)
mpp.xmi